
Katello - Bug #4480

Hammer fails to get a gpg info by name

02/27/2014 03:07 PM - Elyézer Rezende

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have created a GPG record and when trying to get its information by name I get 404 Resource Not Found.

# hammer gpg info --id 1

ID:              1

Name:            foobar

Organization:    ACME_Corporation

Repositories:

interning empty string

Content:         # hammer gpg info --name foobar

404 Resource Not Found

 I have this set of installed packages:

# rpm -qa | grep "\(foreman\|katello\)" | sort

foreman-1.5.0-0.develop.201402250936git8cf1033.el6.noarch

foreman-postgresql-1.5.0-0.develop.201402250936git8cf1033.el6.noarch

foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch

foreman-release-1.5.0-0.develop.201402250936git8cf1033.el6.noarch

foreman-selinux-1.5.0-0.develop.201402261344git2f43f94.el6.noarch

katello-1.5.0-14.git.258.5bc75c0.el6.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-certs-tools-1.5.1-1.el6.noarch

katello-installer-0.0.19-1.201402251400gitca01fc3.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.3.2-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201402262254git24c1388.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.el6.noarch

rubygem-katello_api-0.0.8-1.el6.noarch

History

#1 - 03/07/2014 11:04 AM - Dominic Cleal

- Category set to 74

#2 - 04/01/2014 07:21 PM - Adam Price

- Project changed from Hammer CLI to Katello

- Category changed from 74 to Hammer

#3 - 06/04/2014 01:51 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

05/17/2024 1/2



Fixed upstream.

#4 - 06/05/2014 03:31 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
